Page MenuHomePhabricator

Provide clear error message when SocialProfile extension is not installed.
Closed, ResolvedPublic

Description

When we try to access Special:QuizGameHome without SocialProfile extension, we get:
/core/index.php/Special:QuizGameHome Error from line 855 of /var/www/html/core/extensions/QuizGame/QuestionGameHome.body.php: Class 'UserStats' not found
Error message. Maybe we should provide clear error message?

Details

Event Timeline

Filip created this task.Jan 16 2017, 11:05 AM
Restricted Application added a project: Social-Tools. · View Herald TranscriptJan 16 2017, 11:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Filip added a subscriber: ashley.Jan 16 2017, 11:07 AM

Possible issue also in PictureGame, but not tested.

SamanthaNguyen added a subscriber: SamanthaNguyen.

PictureGame and PollNY both have a hard dependency on SocialProfile as well.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 16 2017, 2:55 PM

The dependencies are (or should be, anyway) documented on MediaWiki.org.

If you look at the "other social extensions" column on Template:Social tools on MediaWiki.org, all of them have a hard dependency on SocialProfile.

That being said, I'm not opposed to showing a friendlier error message in each and every of these extensions as long as we keep performance in mind (but a simple class_exists check shouldn't add too much overhead), so feel free to submit patches. :)

SamanthaNguyen moved this task from Backlog to Feedback on the QuizGame board.Jan 20 2017, 9:39 PM
Filip claimed this task.Jan 21 2017, 8:53 PM
SamanthaNguyen moved this task from Feedback to Feature Request on the QuizGame board.
SamanthaNguyen awarded a token.

Change 333386 had a related patch set uploaded (by Filip):
Added clear error message when SocialProfile extension is not installed.

https://gerrit.wikimedia.org/r/333386

Filip added a comment.Jan 23 2017, 4:03 PM

@ashley: @SamanthaNguyen: Patch provides error message in new page, using ErrorPageError. Will provide screenshots, when i'll have access to my setup.

Change 333386 merged by jenkins-bot:
Added clear error message when SocialProfile extension is not installed.

https://gerrit.wikimedia.org/r/333386

Change 333724 had a related patch set uploaded (by Filip):
Added clear error message when SocialProfile extension is not installed.

https://gerrit.wikimedia.org/r/333724

Change 333724 merged by jenkins-bot:
Added clear error message when SocialProfile extension is not installed.

https://gerrit.wikimedia.org/r/333724

Change 333964 had a related patch set uploaded (by Filip):
Added clear error message when SocialProfile extension is not installed.

https://gerrit.wikimedia.org/r/333964

Change 333964 merged by jenkins-bot:
Added clear error message when SocialProfile extension is not installed.

https://gerrit.wikimedia.org/r/333964

Filip closed this task as Resolved.Jan 24 2017, 9:35 PM

And... closing as resolved :)